2010-11-03  Marek Habersack  <grendel@twistedcode.net>

	Fix mixed newlines

2010-10-20  Pablo Ruiz Garcia  <pablo.ruiz@gmail.com>

	[API] X509 related enhacemnts to allow 1) associating keystore's
	private keys with their corresponding public certificates found at
	X509Stores, and 2) importing private keys to X509Stores along with
	certificates.

	mcs/class/corlib/Mono.Security.X509/X509Store.cs:
	mcs/class/Mono.Security/Mono.Security.X509/X509Store.cs:
	mcs/class/corlib/Mono.Security.X509/X509StoreManager.cs:
	mcs/class/Mono.Security/Mono.Security.X509/X509StoreManager.cs:
	Modified MSX.X509Store to allow importing privateKeys along
	certificates (by using RSACryptoServiceProvider and
	KeyPairPersister). Fixed X509Store to use certificate's hash as
	CspParameters.KeyContainerName.

	mcs/tools/security/certmgr.cs: Added a new -importKey action to
	certmgr, which allows importing a PKCS12 contained key into our
	KeyPair store. Added a more (verbose) output to certmgr's -list
	action.

	man/certmgr.1: Updated certmgr man page ti reflect -importKey
	addition.

	mcs/class/corlib/System.Security.Cryptography/CspParameters.cs:
	mcs/class/corlib/System.Security.Cryptography/RSACryptoServiceProvider.cs:
	Implemented RSACryptoServiceProvider.CspKeyContainerInfo getter
	RSACryptoServiceProvider will not take into account
	CspParameterFlags.UseExistingKey by throwing a
	CryptographicException if keyset identified by KeyContainerName
	does not exists.

2010-10-06  Gonzalo Paniagua Javier  <gonzalo.mono@gmail.com>

	URL moved and use the raw format for certdata

	The URL has been moved permanently. Use the raw format instead of
	downloading the HTML page.

2010-10-05  Jb Evain  <jbevain@gmail.com>

	Port permview to cecil-light

2010-06-16  Sebastien Pouliot  <sebastien@ximian.com>

	* certmgr.cs: Fix case where DSA is used in SSL certificate (rare 
	enough that this was never found/reported). Suggest novell's 
	bugzilla (instead of ximian)

2009-04-16  Sebastien Pouliot  <sebastien@ximian.com>

	* certmgr.cs: Don't throw if we're missing an argument. Fix by
	Romain Tartiere (bug #464765). Updated help to specify that 
	"option type" is mandatory in some cases.

2008-10-17  Jonathan Pryor  <jpryor@novell.com>

	* Makefile: Add doc-update target support.

2008-03-13  Sebastien Pouliot  <sebastien@ximian.com>

	* AssemblyInfo.cs: Update copyright notices.
	* sn.cs: Display a better error message if an assembly is not 
	strongnamed but yet delay-signed (the old one succeeded to confuse
	myself ;-). Display messages from CryptographicException since 
	those are not unknown errors (like other exceptions).

2007-12-17  Gert Driesen  <drieseng@users.sourceforge.net>

	* certmgr.cs: Fixed reflection magic to look for ServerCertificates in
	SslStreamBase. This avoids breakage once patch for bug #349078 is
	applied. Added support for removing CRL's from store.

2007-10-17  Sebastien Pouliot  <sebastien@ximian.com>

	* sn.cs: Fix help for -T / -t as this shows the public key token
	(and not the public key). Patch by Andy Hume. Fix bug #334507

2007-07-31  Sebastien Pouliot  <sebastien@ximian.com>

	* AssemblyInfo.cs: Update copyright notices.
	* Makefile: Build the *full*, Cecil-enabled, permview.
	* permview.cs: Updated from Cecil repository.

2007-04-26  Sebastien Pouliot  <sebastien@ximian.com>

	* signcode.cs: Fix individual/commercial mixup (#81462).

2007-02-28  Wade Berrier  <wberrier@novell.com>

	* Makefile: Consolidate more lists and make some
	2.0 friendly vars (ultimately to include httpcfg.cs in
	make dist)

2007-02-28  Wade Berrier  <wberrier@novell.com>

	* Makefile: install httpcfg.exe in the 2.0 profile
	and keep old list of programs for 1.0 profile

2007-02-27  Sebastien Pouliot  <sebastien@ximian.com>

	* signcode.cs: Handle passowrd-protected PVK files correctly. Fix 
	bug #80924.

2006-12-22 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* Makefile:
	* httpcfg.cs: new tool that handles certificates used in HttpListener.

2006-12-14  Sebastien Pouliot  <sebastien@ximian.com>

	* chktrust.cs: Display the error even if the root is trusted.

2006-12-05  Sebastien Pouliot  <sebastien@ximian.com>

	* certmgr.cs: Support adding CRL into certificate stores.

2006-08-17  Sebastien Pouliot  <sebastien@ximian.com>

	* sn.cs: Add support for PKCS#12/PFX password protected files (just
	like available in fx 2.0).
	* TESTS: Add a test sequence to verify changes in SN.
	* Makefile: Distribute TESTS in tarballs.

2006-07-31  Sebastien Pouliot  <sebastien@ximian.com>

	* sn.cs: Catch exceptions, including reporting invalid number of 
	parameters. Fix bug #78977.

2006-06-14  Sebastien Pouliot  <sebastien@ximian.com>

	* AssemblyInfo.cs: Update copyright notice.
	* signcode.cs: Add support for -x (delayed timestamp) to fix bug 
	#78614. Now the tool is more useful in real-life scenarios.
	* TESTS: New. Instructions on how to test any changes related to
	Authenticode.

2006-05-09  Sebastien Pouliot  <sebastien@ximian.com>

	* sn.cs: Don't throw an exception on invalid assemblies (e.g. 
	netmodules). Fixed some typos.

2006-03-15  Hector E. Gomez Morales  <hectorgm@ciencias.unam.mx>

	* secutil.cs: Print an error when asked to display the strong name 
	of an assembly that doesn't have an associated key.

2005-11-04  Sebastien Pouliot  <sebastien@ximian.com>

	* sn.cs: Added optional keysize argument to -k (generate keypair). 
	This is required as 2.0 allows key length from 384 to 16384 bits (i.e.
	which are the CryptoAPI limitations on RSA).

2005-10-12  Sebastien Pouliot  <sebastien@ximian.com>

	* mozroots.cs: Fix confirmations and "really" import the certificates.

2005-10-11  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: Add mozroot to the build.
	* mozroots.cs: A new command-line tool to download and import the list
	of Mozilla's trusted root certificates into Mono's stores.

2005-09-23  Sebastien Pouliot  <sebastien@ximian.com>

	* makecert.cs: For PKCS#12, added localKeyID attribute support, for 
	certificates and keys, so Windows can import both as a single entity.

2005-08-26  Kornél Pál  <kornelpal@hotmail.com>

	* AssemblyInfo.cs: Using Consts.MonoVersion instead of MonoVersion.cs.
	* Makefile: Using Consts.MonoVersion instead of MonoVersion.cs.

2005-06-30  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: restored version numbers in security tools;
	* makecert.cs: Add support to generate PKCS#12 files. Changed default
	hash algorithm to SHA1. Using MD5 now shows a warning. Fixed typos.

2005-06-22 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* MakeCert.cs: renamed to makecert.cs
	* Makefile: s/MakeCert/makecert/

2005-06-09  Sebastien Pouliot  <sebastien@ximian.com>

	* AssemblyInfo.cs: Bump security tools version to 1.1.8.

2005-05-02  Sebastien Pouliot  <sebastien@ximian.com>

	* AssemblyInfo.cs: Bump security tools version to 1.1.7.

2005-03-14  Raja R Harinath  <rharinath@novell.com>

	* Makefile (install-local, uninstall-local): Disable when
	NO_INSTALL is defined.

2005-02-21  Michal Moskal  <malekith@pld-linux.org>

	* Makefile (PROGRAM_INSTALL_DIR): Define in terms of $(libdir).

2005-01-20  Sebastien Pouliot  <sebastien@ximian.com>

	* AssemblyInfo.cs: Updated copyrights to 2005.
	* certmgr.cs: Added --list and implemented -del options. Fix bug 70717
	* README: Updated to reflect current situation.

2005-01-19  Sebastien Pouliot  <sebastien@ximian.com>

	* permview.cs: Fixed case for empty, but unrestricted, permission 
	sets. Help now displays a more unix-like command options. Commented
	some currently unused code.

2004-12-22  Sebastien Pouliot  <sebastien@ximian.com>

	* permview.cs: Now "works" (including /DECL) with .NET 2.0 when 
	compiled for NET_2_0, however Nov CTP has a bug and report all 
	security actions as LinkDemand.

2004-12-21  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: Added permview to the build.
	* permview.cs: Fixed option /OUTPUT to close the TextWriter so that 
	the output is available (in the file) after execution. The default
	execution (without /DECL) works with a *very* recent Mono runtime.

2004-12-17  Sebastien Pouliot  <sebastien@ximian.com>

	* permview.cs: New. Managed declarative security permission viewer for
	assemblies. The tools isn't yet part of the build as we're missing 
	some runtime support (for Fx 1.0/1.1).

2004-12-15  Sebastien Pouliot  <sebastien@ximian.com>

	* certmgr.cs, signcode.cs, sn.cs: Fixlets to removed compilation 
	warning (for unused variables).

2004-12-13  Sebastien Pouliot  <sebastien@ximian.com>

	* certmgr.cs: Add a new -ssl action to download and add the 
	certificates from an SSL connection into thr right stores.

2004-12-10  Sebastien Pouliot  <sebastien@ximian.com>

	* AssemblyInfo.cs: Added a class to get informations from assembly
	attributes (and remove common code from all security tools).
	* caspol.cs: New. CAS policy management tool.
	* cert2spc.cs: Updated to use new AssemblyInfo class.
	* certmgr.cs: Updated to use new AssemblyInfo class.
	* chktrust.cs: Updated to use new AssemblyInfo class.
	* Makefile: Added caspol to the build.
	* MakeCert.cs: Updated to use new AssemblyInfo class.
	* secutil.cs: Updated to use new AssemblyInfo class.
	* setreg.cs: Updated to use new AssemblyInfo class.
	* signcode.cs: Updated to use new AssemblyInfo class.
	* sn.cs: Updated to use new AssemblyInfo class.

2004-12-06  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : test .mdb existence (for csc build).

2004-11-26  Raja R Harinath  <rharinath@novell.com>

	* Makefile (PROGRAM_INSTALL_DIR): Define using $(FRAMEWORK_VERSION).

2004-11-22  Raja R Harinath  <rharinath@novell.com>

	* Makefile (all-local) [PROFILE=net_1_1_bootstrap]: Build
	profile-specific "bootstrap" sn.exe.
	($(topdir)/class/lib/$(PROFILE)/sn.exe): New.

2004-10-29  Raja R Harinath  <rharinath@novell.com>

	* Makefile (install-local): Install .mdb files too.
	(uninstall-local): Remove them.

2004-10-27  Sebastien Pouliot  <sebastien@ximian.com>

	* signcode.cs: -i (url) and -n (description) parameters were inverted.

2004-10-22  Sebastien Pouliot  <sebastien@ximian.com>

	* signcode.cs: Better error reporting (e.g. missing files).

2004-09-23  Sebastien Pouliot  <sebastien@ximian.com>

	* AssemblyInfo.cs: Updated version to 1.1.2 for next release.
	* MakeCert.cs: Hack for date parsing problem with Mono.

2004-08-10  Sebastien Pouliot  <sebastien@ximian.com>

	* certmgr.cs: Added option '-m' to add certificates to the machine 
	stores (default to user store). Added better handling for 
	UnauthorizedAccessException (e.g. non-root access to machine store).

2004-08-06  Sebastien Pouliot  <sebastien@ximian.com>

	* AssemblyInfo.cs: Update version number for Mono 1.1.1 (HEAD ;).

2004-08-02  Sebastien Pouliot  <sebastien@ximian.com>

	* AssemblyInfo.cs: Update version number for Mono 1.0.1.
	* sn.cs: Warn for missing machine.config (if quiet isn't specified).

2004-06-21  Raja R Harinath  <rharinath@novell.com>

	* sn.cs (ReSign): Return a bool indicating success or failure.
	(Main): Return with failure if ReSign() fails.

2004-06-11  Raja R Harinath  <rharinath@novell.com>

	* Makefile (PROGRAM_INSTALL_DIR): New define.
	(install-local, uninstall-local): Use it.

2004-06-09  Sebastien Pouliot  <sebastien@ximian.com>

	* StrongNameManager.cs: Fix ToString() when no verificationSettings
	are present (used in sn -Vl).
	* sn.cs: Fixed to match documentation.

2004-06-08  Sebastien Pouliot  <sebastien@ximian.com>

	* AssemblyInfo.cs: Updated version number for post beta 2.
	* StrongNameManager.cs: Changed XML format to be compatible with
	machine.config. Made token uppercase.
	* sn.cs: Now load the token remapping configuration from 
	machine.config. Fixed some errors in help.

2004-05-28  Sebastien Pouliot  <sebastien@ximian.com>

	* AssemblyInfo.cs: Update version number for beta 2.

2004-04-27  Jackson Harper  <jackson@ximian.com>

	* sn.cs: Attempt to load the strongnames.config file from the GAC
	path.
	
2004-04-26  Jackson Harper  <jackson@ximian.com>

	* Makefile: use profile libraries from the default profile.
	
2004-04-22  Sebastien Pouliot  <sebastien@ximian.com>

	* cert2spc.cs: Updated to match changes in Mono.Security.dll. Better
	handling of files.
	* certmgr.cs: Updated to match changes in Mono.Security.dll.
	* signcode.cs: Updated to match changes in Mono.Security.dll.

2004-03-31  Sebastien Pouliot  <sebastien@ximian.com>

	* StrongNameManager.cs: Synched with corlib version (updated graphic).

2004-03-30  Sebastien Pouliot  <sebastien@ximian.com>

	* StrongNameManager.cs: New. Added a check for "*" (any) assembly
	when the spcific assembly isn't found for skipping.

2004-03-24  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: Updated sn.exe to include StrongNameManager.cs.
	* sn.cs: Updated to use StrongNameManager. This allows remapping a
	public key token to another public key (e.g. ECMA key). Also added
	support for -Vl.
	* StrongNameManager.cs: New. First version. Allows remapping of
	public key tokens to alternate public keys (e.g. ECMA) and disabling
	strongname verification for specific tokens/assemblies/users combo.

2004-03-15  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* sn.cs: fixed crash in -T and -Tp.

2004-02-26  Sebastien Pouliot  <sebastien@ximian.com>

	* AssemblyInfo.cs: Ajusted versions, informations and copyrights.
	* certmgr.cs: New. Very limited certificate manager. Allow to add new 
	certificates into the Trusted certificate store.
	* Makefile: Added certmgr and setreg to the build.
	* README: Updated.
	* setreg.cs: New. Allow to add/remove test root certificates from the
	trusted certificate store.

2003-11-10  Todd Berman  <tberman@gentoo.org>

	* sn.cs: Wow, gonzalo is so super s-m-a-r-t, changing up last fix to
	make it nice and pretty.

2003-11-10  Todd Berman  <tberman@gentoo.org>

	* sn.cs: No more OutOfMemoryExceptions if the GetPublicKey returns
	a new byte[0].
	
2003-10-30  Sebastien Pouliot  <spouliot@videotron.ca>

	* sn.cs: Fixed strongname generation for small exponents (like 17). 
	Part of the fixed for bug #50341.

2003-10-18  Sebastien Pouliot  <spouliot@videotron.ca>

	* sn.cs: Fixed a bug when exporting the public key from a SNK file.

2003-10-11  Sebastien Pouliot  <spouliot@videotron.ca>

	* AssemblyInfo.cs: changed version number to 0.28.99
	* sn.cs: Add support for signing and verifying assemblies.

2003-09-01  Sebastien Pouliot  <spouliot@videotron.ca>

	* AssemblyInfo.cs: Updated version to 0.26.99 (all tools).
	* cert2spc.cs: Updated to use Mono.Security.X509.
	* chktrust.cs: Tool to validate Authenticode(tm) signatures on PE 
	files (including assemblies).
	* signcode.cs: Tool to sign and timestamp PE files using 
	Authenticode(tm) compatible certificates.
	* README: Updated to include a small tutorial on how to use
	Authenticode(tm) to sign/verify assemblies.
	* Makefile: Updated to build chktrust.exe and signcode.exe

2003-07-30  Sebastien Pouliot  <spouliot@videotron.ca>

	* AssemblyInfo.cs: Updated version to 0.25.99 (all tools).
	* MakeCert.cs: Added support for Extended Key Usage (-eku).
	It's now possible to create SSL certificate with the tool.

2003-06-19  Nick Drochak <ndrochak@gol.com>

	* MakeCert.cs: Work around for mcs? bug 45127.

2003-03-15  Sebastien Pouliot  <spouliot@videotron.ca>

	* AssemblyInfo.cs: Updated version for mono 0.23.
	* MakeCert.cs: New. MakeCert clone utility to create X.509
	certificates (e.g. for testing Authenticode signatures).
	* makefile: Added cert2spc, sn & makecert to Windows build.
	* sectools.build: Added makecert to build.

2003-03-09  Sebastien Pouliot  <spouliot@videotron.ca>

	* makefile: Removed cert2spc and sn from linux build (as
	Mono.Security assembly isn't, yet, part of the linux build).
	* makefile.gnu: Removed (not required for tools).

2003-03-08  Sebastien Pouliot  <spouliot@videotron.ca>

	* makefile: Added SN.
	* makefile.gnu: New. Copy of makefile.
	* sn.cs: New. (Incomplete) SN (StrongName) tool.
	* sectools.build: Updated build for SN.

2003-03-06  Sebastien Pouliot  <spouliot@videotron.ca>

	* AssemblyInfo.cs: New. Global assembly attributes (version and 
	  copyright) for security tools.
	* cert2spc.cs: Update to use the new PKCS7 class (from Mono.Security
	assembly) and AssemblyInfo.cs. Older version was located in /mcs/tools.
	* makefile: New. PROTOTYPE makefile (not tested) for Linux.
	* README: New. Important information about the Mono's security tools
	* secutil.cs: Updated to use AssemblyInfo.cs. Older version was located
	in /mcs/tools.
	* sectools.build: New. NAnt build file to build all security tools.
